> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getasset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Load webhook notifications

> Returns a paginated list of webhook notifications



## OpenAPI

````yaml /api-reference/openapi.json get /v0/tenant/webhook/notifications
openapi: 3.1.0
info:
  title: Asset API
  version: '0.1'
servers:
  - url: https://api.sandbox.getasset.com
    description: Sandbox
  - url: https://api.getasset.com
    description: Production
security: []
paths:
  /v0/tenant/webhook/notifications:
    get:
      tags:
        - Webhooks
      summary: Load webhook notifications
      description: Returns a paginated list of webhook notifications
      operationId: load_webhook_notifications_v0_tenant_webhook_notifications_get
      parameters:
        - name: webhook_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: whk_string
              - type: 'null'
            description: >-
              When provided, it returns all webhook notifications created after
              this id.
            examples:
              - whk_N5L7eAc4PsHfZViqAMbFE7
            title: Webhook Id
          description: >-
            When provided, it returns all webhook notifications created after
            this id.
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - items:
                  type: string
                type: array
              - type: 'null'
            description: >-
              Filter webhook notifications by one or more statuses,
              comma-separated
            title: Status
          description: >-
            Filter webhook notifications by one or more statuses,
            comma-separated
        - name: page_token
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                description: The page token to for the next or previous page
              - type: 'null'
            title: Page Token
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 100
            title: Page Size
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookNotificationsPaginated'
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Forbidden
        '404':
          description: The webhook does not exist
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Content
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Service Unavailable
      security:
        - OAuth2PasswordBearer:
            - webhook:read
components:
  schemas:
    WebhookNotificationsPaginated:
      properties:
        data:
          items:
            $ref: '#/components/schemas/WebhookNotificationPublic'
          type: array
          title: Data
        pagination:
          $ref: '#/components/schemas/PaginationResponse'
      type: object
      required:
        - data
        - pagination
      title: WebhookNotificationsPaginated
    ErrorResponse:
      properties:
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
          description: A description of the error
        data:
          title: Data
          description: Data associated with the error
      type: object
      required:
        - error
        - data
      title: ErrorResponse
    WebhookNotificationPublic:
      properties:
        id:
          type: string
          format: whk_string
          title: Id
          description: >-
            When provided, it returns all webhook notifications created after
            this id.
          examples:
            - whk_N5L7eAc4PsHfZViqAMbFEA
        datetime:
          type: string
          format: date-time
          title: Datetime
          description: When the webhook was sent or created if it has not been sent.
          examples:
            - '2026-01-01T12:01:00Z'
        notification:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Notification
          description: The webhook notification message.
          examples:
            - content:
                business_id: biz_2xPQDLmNeWsrahR4bj3oGc9i6Nb
                timestamp: '2026-01-01T12:01:00Z'
              type: TASKS_REQUEST_COMPLETED
      type: object
      required:
        - id
        - datetime
        - notification
      title: WebhookNotificationPublic
    PaginationResponse:
      properties:
        next_page_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Page Token
          description: The next page token
        previous_page_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Previous Page Token
          description: The previous page token
      type: object
      title: PaginationResponse
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /v0/auth/token

````